#include <stdio.h>

#include "config_file.h"

/*
 * Example usage

FILE *fcw;
fcw = fopen("./test-write.cfg", "w");

int count = 5;

char *testkeys[] = {
  "test1",
  "bb",
  "key",
  "value",
  "idk"
};
char *testvalues[] = {
  "test2",
  "dd",
  "to",
  "pair",
  "maybe"
};

for(int i=0; i<count; i++) {
  config_write(fcw, testkeys[i], testvalues[i]);
}

fclose(fcw);

 */

void config_write(FILE *fp, char *key, char *value) {
  if (fp == NULL) {
    fprintf(stderr, "Can't write to a non-existant file");
    key = NULL;
    value = NULL;
    return;
  }

  fprintf(fp, "%s = %s\n", key, value);
  fprintf(stderr, "wrote: %s = %s\n", key, value);
}
