#include <stdlib.h>

#include "states.h"

char *string_state(States state) {
  if(state == CONNECTED) return "connected";
  else if(state == DISCONNECTED) return "disconnected";
  else if(state == RESTARTING) return "restarting";
  else return "unknown";
}

char *string_state_upper(States state) {
  if(state == CONNECTED) return "Connected";
  else if(state == DISCONNECTED) return "Disconnected";
  else if(state == RESTARTING) return "Restarting";
  else return "Unknown";
}

States enum_state(char *state) {
  if(strcmp(state,"connected")==0) return CONNECTED;
  else if(strcmp(state,"disconnected")==0) return DISCONNECTED;
  else if(strcmp(state,"restarting")==0) return RESTARTING;
  else return UNKNOWN;
}
